---
page_source: https://docs.juspay.io/payout-brazil/docs/integration/delete-and-disable-bene
page_title: Delete And Disable Bene
---

## API Version: default


# Delete And Disable Bene API



Merchant can delete or disable beneficiary account details in this API.## Endpoints:
- Sandbox: https://api.sandbox.juspay.io/payout/merchant/v1/benedetails/{customerId}/{beneId}?command={command}

- Production: https://api.juspay.io/payout/merchant/v1/benedetails/{customerId}/{beneId}?command={command}

## Request Type: 
PUT

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string

Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: String, Mandatory
## Headers:

#### x-merchantid:
pass merchant id that is provided by Juspay
- Tags: string

#### Content-Type:
application/json
- Tags: String
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl --location --request PUT 'https://api.juspay.io/payout/merchant/v1/benedetails/:customerId/:beneId?command=DISABLE' \
--header 'Content-Type: application/json' \
--header 'x-merchantid: <merchant id>' \
--header 'Authorization: Basic (b64 encoded API key)' \

```

### Sample Response:

#### Response:
```json
{
    "updatedAt": "2025-01-07T13:15:40Z",
    "uniqueId": "768",
    "status": "DISABLED",
    "createdAt": "2025-01-07T13:15:31Z",
    "beneDetails": {
        "details": {
            "walletIdentifierType": "PAYPAL_ID",
            "walletIdentifier": "FSMRXXXXX8PSG",
            "payeeAdditionalDetails": {
                "state": "XYZ",
                "payerId": "FSMRBANCV8PSG",
                "name": "samXXXXXser",
                "email": "sb-mXXXXXXXXXXXXXXXXXXXXXXXXXXXXX.com",
                "country": "Brazil",
                "accountVarificationStatus": "true"
            },
            "brand": "PAYPAL"
        },
        "type": "WALLET"
    }
}
```

## Query Parameters:

#### command:
The value of the `command` parameter can be either **DELETE**  or **DISABLE** . Below is the description of each option:

1. **DISABLE** :Disables the beneficiary details.The beneficiary ID cannot be used for further orders.
2. **DELETE** :Marks the status of the beneficiary as DELETED.The beneficiary's data will be fully masked after a specific time interval. This masking occurs once all associated past orders have been completed.Completely masked indicates that the data corresponding to the beneficiary will be anonymized or obfuscated to ensure it is no longer accessible or identifiable.
- Tags: String, Mandatory
## API Responses:
### 200:

#### json:
- Tags: Object
### 400:

#### object:
- Description: {}
- Tags: Object
